<Project Sdk="Microsoft.NET.Sdk.Web">

	<PropertyGroup>
		<TargetFramework>net9.0</TargetFramework>
		<ImplicitUsings>enable</ImplicitUsings>
		<Nullable>enable</Nullable>
		<Platforms>x64</Platforms>
		<AssemblyName>Hi.Sample.Webapi</AssemblyName>
		<RootNamespace>Sample</RootNamespace>
		<AllowUnsafeBlocks>true</AllowUnsafeBlocks>
		<Configurations>Debug;Release</Configurations>
		<VersionBuild>0</VersionBuild>
		<VersionPrefix>3.1.$(VersionBuild)</VersionPrefix>
		<Product>$(AssemblyName)</Product>
		<OutputPath>bin\$(Platform).$(Configuration)\</OutputPath>
		<DefineConstants>DEBUG;TRACE</DefineConstants>
	</PropertyGroup>

	<ItemGroup>
		<PackageReference Include="Swashbuckle.AspNetCore" Version="7.2.0" />
	</ItemGroup>

	<ItemGroup Condition="'$(Configuration)'=='Debug'">
		<ProjectReference Include="..\HiNc\HiNc.csproj" />
		<ProjectReference Include="..\Hi.Webapi\Hi.Webapi.csproj" />
	</ItemGroup>
	<ItemGroup Condition="'$(Configuration)'=='Release'">
		<PackageReference Include="HiNc" Version="3.1.*" />
		<PackageReference Include="Hi.Webapi" Version="3.1.*" />
	</ItemGroup>

</Project> 